#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x473b7680, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xbdebd3f8, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x8fb79459, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x8b702e63, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x1ac07a27, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x21feffd8, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x538ee5f4, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xa5811799, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x8d377d70, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x3974da87, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xba6a2f7c, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0xbc55079e, "_gpl");
SYMBOL_CRC(mhi_notify, 0xc618354c, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x59745e6a, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x4253b269, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x75a02311, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xb5a7d198, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x36ce442a, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xf6c182b6, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x11ce153b, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x40182325, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x8bb143b6, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x3621df8b, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x7c93572c, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xe0deee4a, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x6a13dc0c, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x8c259e3b, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x7caa020e, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x58ce4cf4, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xe74b3992, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xe4bb1d1f, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x345d9561, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb864a108, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x63e3f219, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x880aa541, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x738e1b73, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0x236404b, "finish_wait" },
	{ 0x5135e91a, "dma_unmap_page_attrs" },
	{ 0x1098892a, "request_firmware" },
	{ 0x49b73c05, "trace_event_printf" },
	{ 0x9c06a49c, "device_initialize" },
	{ 0xc609a9a6, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x33926065, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1983973f, "bpf_trace_run2" },
	{ 0x2e3ea5af, "prepare_to_wait_event" },
	{ 0x8a3536aa, "__wake_up" },
	{ 0xe345c469, "event_triggers_call" },
	{ 0xec7d8ff, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xfa7466ab, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf5730143, "dev_driver_string" },
	{ 0xda820fbf, "trace_event_buffer_commit" },
	{ 0xe25302ee, "dma_map_page_attrs" },
	{ 0xa879bf73, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xc88e02c, "put_device" },
	{ 0xaf64b6fe, "trace_event_ignore_this_pid" },
	{ 0x1cfae99, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xddc24ae7, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x82cd3e29, "perf_trace_run_bpf_submit" },
	{ 0xfe80197f, "bus_unregister" },
	{ 0xf3bca362, "_dev_err" },
	{ 0xb811d036, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x1182952a, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0x49d89524, "dma_alloc_attrs" },
	{ 0xf7b34d00, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x85551ba9, "ida_free" },
	{ 0xc4c4f728, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2cd7f16, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4ffcedc, "_dev_warn" },
	{ 0x338b485c, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0x2473b574, "bpf_trace_run3" },
	{ 0xbf071d6a, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x42f8b3c4, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xa362739, "trace_event_buffer_reserve" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x38b7e2, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xee4d7d4, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6276745e, "driver_register" },
	{ 0xc24c0200, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0x5bc90d25, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8615C9DE2D5B950726F5A5C");
MODULE_INFO(rhelversion, "9.5");
