#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x6a582058, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0xeafe6a1d, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0xeb2baff7, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x3ae3ace3, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0xd8bf0ac1, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0x1e2b4b63, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x61ba7458, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x9216bf97, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0xcf248697, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0xbdf146c8, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0xee92e90f, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0xe5524e97, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x71bd5c65, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x084d212e, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0xc661e57f, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x9a12981e, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x45e447f9, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x8c7c8dd7, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x78c8b025, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x5f18755e, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0xc1754255, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x6a937aea, "_gpl");
SYMBOL_CRC(i3c_master_register, 0xc697f1ea, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x24dfdebc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf9fe6001, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf6b76a1a, "devm_kmalloc" },
	{ 0x8fc9921a, "of_property_read_variable_u32_array" },
	{ 0x880aa541, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8ec55494, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0x9c06a49c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xb1cffd3e, "of_get_next_available_child" },
	{ 0xfa7466ab, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xc88e02c, "put_device" },
	{ 0x7d645278, "i2c_del_adapter" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfe80197f, "bus_unregister" },
	{ 0x890cfcfd, "down_write" },
	{ 0xf3bca362, "_dev_err" },
	{ 0xc79e3f37, "up_write" },
	{ 0x1182952a, "device_add" },
	{ 0x60777667, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0xc4c4f728, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7921c4bf, "i2c_new_client_device" },
	{ 0x7bbe6b35, "device_register" },
	{ 0xd2cd7f16, "device_del" },
	{ 0xcdae3365, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0xebaa8edf, "down_read" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0x77d51987, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0xf95f8fb9, "of_i2c_get_board_info" },
	{ 0x7dea103d, "up_read" },
	{ 0x6276745e, "driver_register" },
	{ 0xc24c0200, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0x5bc90d25, "bus_register" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0E5A314C6B103C96E296945");
MODULE_INFO(rhelversion, "9.5");
