#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x47a743d0, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x920dd007, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x4bd36f18, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x4351aeb5, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x8d3ba633, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x243bb940, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2ef9dd7, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x521160e0, "xsk_tx_completed" },
	{ 0xde326082, "napi_alloc_skb" },
	{ 0xe9e33c5b, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x46eda754, "xp_alloc" },
	{ 0x79dafbc7, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b7cd616, "bpf_prog_put" },
	{ 0xb864a108, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1203fff9, "xp_dma_map" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xf6b76a1a, "devm_kmalloc" },
	{ 0x476da59d, "eth_mac_addr" },
	{ 0x30b94cc0, "skb_put" },
	{ 0xcb0c929, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x79536d5f, "netdev_update_features" },
	{ 0x132e34f9, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xab8da60, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x776ccfbf, "bpf_warn_invalid_xdp_action" },
	{ 0xea27f4a1, "unregister_netdev" },
	{ 0x3d5ab453, "xdp_convert_zc_to_xdp_frame" },
	{ 0x988b8216, "xdp_features_set_redirect_target" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0xbc20bdfe, "gpiod_set_value_cansleep" },
	{ 0x5135e91a, "dma_unmap_page_attrs" },
	{ 0xba01f2b2, "dma_sync_single_for_device" },
	{ 0xacd5f774, "hrtimer_init" },
	{ 0x544bf672, "skb_add_rx_frag" },
	{ 0x9826f943, "get_device_system_crosststamp" },
	{ 0x9930bc07, "ptp_clock_index" },
	{ 0xf23cf65e, "phy_attached_info" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x97b54fd3, "seq_lseek" },
	{ 0x6f675926, "page_pool_destroy" },
	{ 0x2e542e53, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xca0eff2d, "netdev_warn" },
	{ 0x1ee9fd9a, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8a3536aa, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x80945b01, "flow_rule_match_ipv4_addrs" },
	{ 0x38bf8ed8, "xdp_rxq_info_unreg_mem_model" },
	{ 0x2382341c, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xa863004f, "netdev_err" },
	{ 0xcb2c377a, "phylink_create" },
	{ 0xf5730143, "dev_driver_string" },
	{ 0x2bc4b910, "pinctrl_pm_select_default_state" },
	{ 0xc9604119, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x7870df53, "eth_type_trans" },
	{ 0xcddcf07c, "__pm_runtime_set_status" },
	{ 0xe25302ee, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xcfc8039e, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa879bf73, "pm_wakeup_dev_event" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x399e4749, "__napi_schedule" },
	{ 0x284a36eb, "pm_runtime_enable" },
	{ 0x80b53141, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xb62e48be, "netif_device_detach" },
	{ 0x68669abc, "device_property_read_u32_array" },
	{ 0x44814fa5, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x1cfae99, "rt_write_unlock" },
	{ 0xddc24ae7, "_dev_info" },
	{ 0x24315c4e, "napi_gro_receive" },
	{ 0xfe28bee0, "netif_device_attach" },
	{ 0x38f141e0, "xdp_features_clear_redirect_target" },
	{ 0x5ac7bfa6, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x91ada302, "netdev_pick_tx" },
	{ 0xf729be38, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf616a3b4, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb26308a6, "xdp_rxq_info_is_reg" },
	{ 0x33f8b700, "devm_alloc_etherdev_mqs" },
	{ 0x8d51b949, "flow_block_cb_setup_simple" },
	{ 0xa13d6ef, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xe57f83bb, "dev_open" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0xf3bca362, "_dev_err" },
	{ 0x897b80c0, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7cd687e0, "pinctrl_pm_select_sleep_state" },
	{ 0x88248d27, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4531585c, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4b9bfba8, "ptp_clock_register" },
	{ 0x85692161, "xp_dma_sync_for_cpu_slow" },
	{ 0xb3bf95f6, "xsk_tx_peek_desc" },
	{ 0x5a4e8689, "__of_mdiobus_register" },
	{ 0x7f48aa17, "__traceiter_xdp_exception" },
	{ 0xefb4e9d, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xfc4db7a8, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x9c0f02ec, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x49d89524, "dma_alloc_attrs" },
	{ 0xa484d479, "debugfs_remove" },
	{ 0x63b4599b, "napi_enable" },
	{ 0x5ca0c101, "xsk_clear_rx_need_wakeup" },
	{ 0xb877f7af, "xpcs_get_interfaces" },
	{ 0x1b6df1fd, "mdio_device_create" },
	{ 0x56dcaf0e, "xsk_uses_need_wakeup" },
	{ 0x3086d8d9, "register_netdev" },
	{ 0x4aba65d3, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x9df6964b, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x1a7f1b6a, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa283eb4b, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xb7097ee0, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0xb3f6b090, "netif_tx_wake_queue" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xc6637645, "dma_sync_single_for_cpu" },
	{ 0x7b23aa62, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4ffcedc, "_dev_warn" },
	{ 0x7ab1ea8e, "flow_rule_match_ports" },
	{ 0xb22f6c7d, "phylink_fwnode_phy_connect" },
	{ 0xba4c90f, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9015ac54, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x8e2e4104, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc65650db, "fwnode_get_named_child_node" },
	{ 0x338b485c, "__init_waitqueue_head" },
	{ 0x7d15a691, "ptp_clock_unregister" },
	{ 0x2a152a9d, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0x5a8fcb0c, "xpcs_get_an_mode" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x562b43be, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1fdc833d, "xdp_return_frame_rx_napi" },
	{ 0xf110466f, "netdev_alert" },
	{ 0x95b843f0, "dma_set_coherent_mask" },
	{ 0xe26ba19f, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x9d3dc7ff, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xbf071d6a, "rt_read_lock" },
	{ 0x98974cf0, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xd18a72a5, "debugfs_create_file" },
	{ 0xf3ff5ed3, "xsk_set_tx_need_wakeup" },
	{ 0x42f8b3c4, "dma_free_attrs" },
	{ 0xcccdb3d4, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5f3fd948, "xp_set_rxq_info" },
	{ 0x3eb989f9, "flow_rule_match_vlan" },
	{ 0xa40e09f7, "xdp_rxq_info_unreg" },
	{ 0x5a83a85a, "page_pool_alloc_pages" },
	{ 0x755b6413, "__xdp_rxq_info_reg" },
	{ 0x38b7e2, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf9535105, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7437262e, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x4d73f25a, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9879b2cf, "netif_carrier_on" },
	{ 0xee4d7d4, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x94ad36ff, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x45e81b8c, "xp_free" },
	{ 0x411a52cb, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x15ae2bce, "xpcs_create" },
	{ 0x38a049e9, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x37a536ed, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x4c919a59, "xdp_master_redirect" },
	{ 0xb679bf9a, "fwnode_handle_put" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x58ebb2ca, "napi_schedule_prep" },
	{ 0xa1906e3, "napi_disable" },
	{ 0xc31ad1ab, "dev_kfree_skb_any_reason" },
	{ 0x81a32689, "param_ops_int" },
	{ 0x43061778, "single_open" },
	{ 0x12018901, "__pm_runtime_disable" },
	{ 0x4dbcfe49, "debugfs_create_dir" },
	{ 0x272f5b7c, "mdio_device_free" },
	{ 0x815588a6, "clk_enable" },
	{ 0x6013cc51, "skb_clone_tx_timestamp" },
	{ 0xc24c0200, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x17aab3a9, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5bbe4cfd, "ethtool_op_get_ts_info" },
	{ 0x376d799, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe3cd2142, "__dev_fwnode" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0xf08cf59a, "netdev_info" },
	{ 0x18e6de0e, "page_pool_put_unrefed_page" },
	{ 0xb4bd856b, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "E7964CAB4F10E35D82FC6E1");
MODULE_INFO(rhelversion, "9.5");
