#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x6e3a69a8, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x21cf7f6e, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x70f4fa32, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x7308de3e, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xc87eeaef, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x6cebceef, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x5cc179d0, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x9c746462, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x92d23e86, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb4785846, "kfree_skb_reason" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8a3536aa, "__wake_up" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x60777667, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa863004f, "netdev_err" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xf8f5b2d2, "skb_copy_datagram_iter" },
	{ 0x98b606c3, "_copy_to_iter" },
	{ 0x827d5ddb, "iov_iter_advance" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x132e34f9, "consume_skb" },
	{ 0x236404b, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xf8301e20, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x6331c645, "cdev_init" },
	{ 0x9b32d9b9, "cdev_add" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb7d2a4c, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0xcdae3365, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9b2f712c, "skb_push" },
	{ 0x284a1c99, "__skb_gso_segment" },
	{ 0xfd38fcfd, "kfree_skb_list_reason" },
	{ 0xb4363246, "__skb_get_hash" },
	{ 0x9f930d1a, "skb_checksum_help" },
	{ 0xa55ed598, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xdabb6f03, "sk_alloc" },
	{ 0x338b485c, "__init_waitqueue_head" },
	{ 0xf3c648ef, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xfa42f106, "__skb_flow_dissect" },
	{ 0x1fb58559, "skb_partial_csum_set" },
	{ 0xdba418d, "__pskb_pull_tail" },
	{ 0xb714933f, "iov_iter_npages" },
	{ 0xb47a46c4, "_copy_from_iter" },
	{ 0x866d655b, "sock_alloc_send_pskb" },
	{ 0x30b94cc0, "skb_put" },
	{ 0x736e12fa, "zerocopy_sg_from_iter" },
	{ 0x33619f90, "__dev_queue_xmit" },
	{ 0xc28cab73, "skb_copy_datagram_from_iter" },
	{ 0xc3741c45, "iov_iter_revert" },
	{ 0xb66dea28, "skb_copy_bits" },
	{ 0xd6090af9, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd90dcad7, "dev_set_mac_address_user" },
	{ 0x51cf690e, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "04143F909FCC9BA9CBD746A");
MODULE_INFO(rhelversion, "9.5");
