#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xacd5b4c6, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x1074b8d4, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xd3d78803, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x639804da, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x0ef9d6bf, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x2f2188e2, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x6108c270, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x4a0eca49, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xb2d273ab, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xd0537151, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xf18b2f0c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x670e6727, "register_pernet_subsys" },
	{ 0x7437262e, "seq_printf" },
	{ 0xb4378f3f, "seq_puts" },
	{ 0xb4d671db, "unregister_pernet_subsys" },
	{ 0x5c5c4567, "nf_register_net_hooks" },
	{ 0xcc3b75a9, "nf_unregister_net_hooks" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdcb764ad, "memset" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xa8a6c31e, "nf_ipv6_ops" },
	{ 0xb4785846, "kfree_skb_reason" },
	{ 0xce7bb8b7, "xfrm_lookup" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x83dfc3e3, "ip6_local_out" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x4954c87d, "skb_ensure_writable" },
	{ 0xb82e9fd4, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x1ec4381b, "ip_route_me_harder" },
	{ 0x21c98aa5, "ip_local_out" },
	{ 0x6aa7287a, "__alloc_skb" },
	{ 0x30b94cc0, "skb_put" },
	{ 0xb66dea28, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x97e257c9, "nf_ct_tmpl_alloc" },
	{ 0x27a644cd, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x562a367f, "proc_create_net_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xce9ac938, "nf_ct_tmpl_free" },
	{ 0x12d93df3, "remove_proc_entry" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x57ba1905, "ipv6_skip_exthdr" },
	{ 0x654022d4, "nf_ct_seqadj_init" },
	{ 0x132e34f9, "consume_skb" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "246D577FD42568BDE6679A3");
MODULE_INFO(rhelversion, "9.5");
