#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gss_krb5_lookup_enctype, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(gss_krb5_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_encrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_decrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_etm_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_nfold, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(gss_krb5_lookup_enctype, 0xb6e931a2, "");
SYMBOL_CRC(gss_krb5_checksum, 0x873e2e0f, "");
SYMBOL_CRC(krb5_cbc_cts_encrypt, 0x88227d89, "");
SYMBOL_CRC(krb5_cbc_cts_decrypt, 0x6aa6d1e8, "");
SYMBOL_CRC(krb5_etm_checksum, 0x8b29113e, "");
SYMBOL_CRC(krb5_nfold, 0x3c849d4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x361023f9, "crypto_skcipher_encrypt" },
	{ 0xa6d91f9f, "crypto_alloc_ahash" },
	{ 0xee2c42dc, "xdr_buf_trim" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xf16af3ca, "xdr_process_buf" },
	{ 0x144b851b, "read_bytes_from_xdr_buf" },
	{ 0xec03138, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xaf18ec9f, "crypto_skcipher_setkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x85139d10, "gss_mech_unregister" },
	{ 0xbaa9efce, "crypto_destroy_tfm" },
	{ 0x92997ed8, "_printk" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x679af740, "crypto_skcipher_decrypt" },
	{ 0x6d69335a, "crypto_shash_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3e93bfe5, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdcb764ad, "memset" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x9ad86eea, "xdr_buf_subsegment" },
	{ 0x63e913, "crypto_alloc_sync_skcipher" },
	{ 0x24fe6a2a, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd49cc1e6, "crypto_shash_final" },
	{ 0x1a872995, "gss_mech_register" },
	{ 0xf54bd49b, "lcm" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x3157534a, "write_bytes_to_xdr_buf" },
	{ 0xb84d62b6, "crypto_alloc_shash" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss");


MODULE_INFO(srcversion, "FDB7B3AB14CA57538E6E0E0");
MODULE_INFO(rhelversion, "9.5");
