#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x7f808df1, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x21c19619, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x716cbf1a, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x5188426e, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x4c7899ca, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x8211e29e, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xe24698c3, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x87129595, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x53af485c, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x30761041, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x17a92af0, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x47570350, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xbb9996c1, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0xbf978f49, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xe2f872a7, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xed04964d, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xd65ed25a, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xe9f86bde, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x2273c51b, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x1cba0eff, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x74b3f1c6, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xd473b476, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x57034602, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x43934a23, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x9160ef21, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xa0a172e7, "sock_map_close" },
	{ 0x19a8af35, "sock_queue_rcv_skb_reason" },
	{ 0x99b81b37, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa46a73fa, "misc_deregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x132e34f9, "consume_skb" },
	{ 0x236404b, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf8301e20, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf1861924, "sock_map_unhash" },
	{ 0xb97cb41d, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xef2e8939, "__module_get" },
	{ 0xb89ac7, "sk_stream_error" },
	{ 0xf5a4e022, "sk_msg_recvmsg" },
	{ 0x2e247807, "ns_capable_noaudit" },
	{ 0x917ced41, "__put_cred" },
	{ 0x7f3693ba, "sk_error_report" },
	{ 0xb1897d93, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0xb1dd403b, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x65a55f9a, "sock_register" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1cfae99, "rt_write_unlock" },
	{ 0xe45742a3, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8e8ea411, "module_put" },
	{ 0xacb66dae, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa55ed598, "sk_free" },
	{ 0xb4785846, "kfree_skb_reason" },
	{ 0x8d5610ba, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0xc0801003, "sock_no_listen" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3666ea86, "sock_recv_errqueue" },
	{ 0xa756d55a, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7190e3e1, "mutex_lock_interruptible" },
	{ 0xdabb6f03, "sk_alloc" },
	{ 0x54eb129a, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xf16b3981, "misc_register" },
	{ 0x50d53066, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xe52063c9, "sock_no_sendpage" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x1dea77e1, "nonseekable_open" },
	{ 0x55dbf0f3, "sk_psock_drop" },
	{ 0x33619f90, "__dev_queue_xmit" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb29217d, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xee4d7d4, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x8523f808, "remove_wait_queue" },
	{ 0xac4336d0, "sock_no_ioctl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7d361ad3, "sock_setsockopt" },
	{ 0x82aad12f, "sock_init_data" },
	{ 0xa38860ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A65FFC99FEFF720CACF8119");
MODULE_INFO(rhelversion, "9.5");
