#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x91245986, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x9e2ae349, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0xefaddf17, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xb401c71f, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x09726b35, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x06b3b825, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x078a3e5d, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xb3fd4898, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x1df158f5, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xb0349561, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xd92dfac3, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x7aa85857, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xfd6a4846, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x164e5602, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x2d28bff9, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x9fcb1088, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11f8886e, "vmf_insert_pfn" },
	{ 0x75c15d66, "ww_mutex_lock_interruptible" },
	{ 0x37a8e2db, "drm_gem_get_pages" },
	{ 0xbe0c74c8, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8cd103e5, "invalidate_mapping_pages" },
	{ 0xed4cc4e5, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xbb68f982, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x4398f3f8, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x5c336fb1, "drm_gem_create_mmap_offset" },
	{ 0xe563b23d, "drm_gem_object_init" },
	{ 0xf5730143, "dev_driver_string" },
	{ 0x67040901, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7c1aa65b, "drm_gem_vm_close" },
	{ 0x690a6606, "drm_gem_vm_open" },
	{ 0xdaf16318, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x7cf2d86, "ww_mutex_lock" },
	{ 0x7a7ae34b, "vmap" },
	{ 0xfd8af0ac, "drm_gem_handle_create" },
	{ 0x3c12a70f, "__drm_dev_dbg" },
	{ 0x34979d8e, "drm_prime_pages_to_sg" },
	{ 0xe6d82b85, "dma_buf_vunmap" },
	{ 0x871a71da, "shmem_truncate_range" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x35aa9a32, "dma_map_sgtable" },
	{ 0x79b51294, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x500c2884, "dma_unmap_sg_attrs" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x8f8c6cc0, "drm_gem_put_pages" },
	{ 0xf2e46150, "drm_gem_private_object_fini" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0xb33acf90, "drm_prime_gem_destroy" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "7B036E953BCF9591D0D5063");
MODULE_INFO(rhelversion, "9.5");
