#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0xa0be0efc, "");
SYMBOL_CRC(host1x_device_exit, 0xd750fe2b, "");
SYMBOL_CRC(host1x_driver_register_full, 0x98ceeb9f, "");
SYMBOL_CRC(host1x_driver_unregister, 0xf86f7d75, "");
SYMBOL_CRC(__host1x_client_init, 0x48bf6736, "");
SYMBOL_CRC(host1x_client_exit, 0x0b56d88a, "");
SYMBOL_CRC(__host1x_client_register, 0x112ec7d2, "");
SYMBOL_CRC(host1x_client_unregister, 0xf4ffa6e3, "");
SYMBOL_CRC(host1x_client_suspend, 0xa30942a0, "");
SYMBOL_CRC(host1x_client_resume, 0x426bbdd3, "");
SYMBOL_CRC(host1x_bo_pin, 0x0b77b309, "");
SYMBOL_CRC(host1x_bo_unpin, 0xe9b73ec6, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0xd0e92ada, "");
SYMBOL_CRC(host1x_syncpt_id, 0xf8738ab9, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0x844866de, "");
SYMBOL_CRC(host1x_syncpt_incr, 0x73c5b899, "");
SYMBOL_CRC(host1x_syncpt_wait, 0x42e9145d, "");
SYMBOL_CRC(host1x_syncpt_request, 0x098ec7cb, "");
SYMBOL_CRC(host1x_syncpt_put, 0x9328afca, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0x262918a0, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0x53c6b794, "");
SYMBOL_CRC(host1x_syncpt_read, 0x8f1ec3b6, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0x67fb8098, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0x658ca703, "");
SYMBOL_CRC(host1x_syncpt_get, 0x51a228f2, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0xce04e444, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0xe1e692b0, "");
SYMBOL_CRC(host1x_get_dma_mask, 0x728116d0, "");
SYMBOL_CRC(host1x_job_submit, 0x7e5ae0e5, "");
SYMBOL_CRC(host1x_channel_get, 0x0a38dae1, "");
SYMBOL_CRC(host1x_channel_stop, 0x7eea1f4d, "");
SYMBOL_CRC(host1x_channel_put, 0xd034e737, "");
SYMBOL_CRC(host1x_channel_request, 0x3e52b7ad, "");
SYMBOL_CRC(host1x_job_alloc, 0x649f0e28, "");
SYMBOL_CRC(host1x_job_get, 0x4395db59, "");
SYMBOL_CRC(host1x_job_put, 0xf8275b20, "");
SYMBOL_CRC(host1x_job_add_gather, 0x09dadff9, "");
SYMBOL_CRC(host1x_job_add_wait, 0x171f0a87, "");
SYMBOL_CRC(host1x_job_pin, 0x159f78f7, "");
SYMBOL_CRC(host1x_job_unpin, 0x39bc7453, "");
SYMBOL_CRC(tegra_mipi_request, 0x7a627f30, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0xb53610fd, "");
SYMBOL_CRC(host1x_fence_cancel, 0x8c998f77, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x6166a54f, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0xaa1cf2ea, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0x99ceaba0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b111b32, "iommu_map_sg" },
	{ 0xc7c83751, "platform_device_put" },
	{ 0x9e812f69, "dma_fence_signal_locked" },
	{ 0xac708189, "devm_platform_ioremap_resource" },
	{ 0x22173e92, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x4886501f, "devm_request_threaded_irq" },
	{ 0xf6b76a1a, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x5a701ff8, "devm_platform_get_and_ioremap_resource" },
	{ 0x880aa541, "dev_set_name" },
	{ 0xee5c3f2e, "of_find_device_by_node" },
	{ 0xb01c6583, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x738e1b73, "trace_raw_output_prep" },
	{ 0x4f757438, "iommu_group_get" },
	{ 0x8ec55494, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0x49b73c05, "trace_event_printf" },
	{ 0xfa8f6aad, "free_iova" },
	{ 0x104c10c4, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x9c06a49c, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc609a9a6, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4100a1cf, "pm_generic_poweroff" },
	{ 0x97b54fd3, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1983973f, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xe345c469, "event_triggers_call" },
	{ 0xd2f49171, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xfa7466ab, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xf11664a0, "devm_clk_get" },
	{ 0xddb3fc3b, "dma_fence_wait_timeout" },
	{ 0x1a96b359, "__free_iova" },
	{ 0xda820fbf, "trace_event_buffer_commit" },
	{ 0x798f6e01, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x7aebb24f, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x2956abed, "iommu_detach_group" },
	{ 0x51308b26, "of_get_next_child" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc88e02c, "put_device" },
	{ 0xaf64b6fe, "trace_event_ignore_this_pid" },
	{ 0x284a36eb, "pm_runtime_enable" },
	{ 0x5c017dcc, "alloc_iova" },
	{ 0x2a3823f7, "devm_tegra_core_dev_init_opp_table" },
	{ 0xc8abecb7, "platform_get_irq_byname_optional" },
	{ 0x93cd69e8, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0xa82e465b, "pm_generic_suspend" },
	{ 0xd22751fd, "iommu_get_domain_for_dev" },
	{ 0x89b7b003, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x85a74476, "put_iova_domain" },
	{ 0x82cd3e29, "perf_trace_run_bpf_submit" },
	{ 0xfe80197f, "bus_unregister" },
	{ 0xf3bca362, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0xa5439ba5, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x1182952a, "device_add" },
	{ 0x69157db, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xbbb0ac91, "iommu_domain_alloc" },
	{ 0xb7810c93, "iommu_unmap" },
	{ 0x9aab2452, "dma_fence_signal" },
	{ 0x5145d22b, "bpf_trace_run5" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0x49d89524, "dma_alloc_attrs" },
	{ 0xa484d479, "debugfs_remove" },
	{ 0xf7b34d00, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0x2231e371, "of_property_count_elems_of_size" },
	{ 0xc4c4f728, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x125d5fa3, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x193822b9, "of_device_is_available" },
	{ 0x477aae40, "dma_fence_init" },
	{ 0x7190e3e1, "mutex_lock_interruptible" },
	{ 0x80f436bc, "host1x_context_device_bus_type" },
	{ 0x81dc5361, "bpf_trace_run1" },
	{ 0xd2cd7f16, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4ffcedc, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x95c936d2, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf0eee9ec, "debugfs_create_u32" },
	{ 0x14b9f5a, "devm_platform_ioremap_resource_byname" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0x95b843f0, "dma_set_coherent_mask" },
	{ 0x2473b574, "bpf_trace_run3" },
	{ 0xe26ba19f, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xd18a72a5, "debugfs_create_file" },
	{ 0x42f8b3c4, "dma_free_attrs" },
	{ 0xa362739, "trace_event_buffer_reserve" },
	{ 0xcccdb3d4, "__pm_runtime_resume" },
	{ 0xaa6c4426, "init_iova_domain" },
	{ 0x9cda95a2, "__devm_reset_control_bulk_get" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbb92c815, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8023f81e, "seq_write" },
	{ 0x21adf42a, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7437262e, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x7309d77b, "iommu_map" },
	{ 0x411a52cb, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x38a049e9, "dma_set_mask" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x610de7d0, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x7d822288, "iommu_attach_group" },
	{ 0x43061778, "single_open" },
	{ 0xeb602976, "of_device_get_match_data" },
	{ 0x98418222, "pm_generic_restore" },
	{ 0x12018901, "__pm_runtime_disable" },
	{ 0x4dbcfe49, "debugfs_create_dir" },
	{ 0x8c804138, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7d35f756, "platform_unregister_drivers" },
	{ 0x89b1dc0e, "pm_runtime_force_suspend" },
	{ 0x6276745e, "driver_register" },
	{ 0xc24c0200, "__mutex_rt_init" },
	{ 0x993a225e, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x17aab3a9, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0x5bc90d25, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "D99FB3E21874B3EEFDB2F4B");
MODULE_INFO(rhelversion, "9.5");
