#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(__media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x8a558159, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xf0e72bb4, "_gpl");
SYMBOL_CRC(media_device_init, 0x2a55bb29, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x5a9664de, "_gpl");
SYMBOL_CRC(__media_device_register, 0x4fd5c4da, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x442d26a2, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xb34f35e1, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xfeb696f6, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x7e5e5c4b, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x2854f5fb, "_gpl");
SYMBOL_CRC(__media_entity_enum_init, 0xfc781c47, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x9ed80182, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x5e9f60cb, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xba4431de, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x7beefaf0, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x1354d548, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xdfdc805b, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xdd6281f7, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x49376b0d, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x140cb78f, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x763c1b33, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x827fc2da, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x8eb1cee6, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0xf4641fe2, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xc3fb895f, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xa05ccf29, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x268c58b4, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x5a1edc1d, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x93198c8d, "_gpl");
SYMBOL_CRC(media_entity_remote_pad, 0x5a308ac4, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x90939bf2, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x8209054b, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x40f81386, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xeb40358e, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x29f5fa85, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x865d7229, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x3f580166, "_gpl");
SYMBOL_CRC(media_request_put, 0x0447d6d6, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x3bf5b52c, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xdfbf5ffd, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x6374d262, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x79d45018, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x06d904bd, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x4b765581, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x807c3b16, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x9fea1d5e, "_gpl");
SYMBOL_CRC(media_device_delete, 0x892d6c13, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x99b81b37, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xad580718, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xba313740, "ida_destroy" },
	{ 0x880aa541, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x64cb4b8c, "cdev_device_del" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0x9c06a49c, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfec1a870, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8a3536aa, "__wake_up" },
	{ 0xec7d8ff, "get_device" },
	{ 0xfa7466ab, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0x50c0df5, "cdev_device_add" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc88e02c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x43c965c2, "fwnode_graph_parse_endpoint" },
	{ 0x8e8ea411, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6699e903, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfe80197f, "bus_unregister" },
	{ 0x9c043ec2, "fput" },
	{ 0xf3bca362, "_dev_err" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0x85551ba9, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4ffcedc, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x338b485c, "__init_waitqueue_head" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x59d557a8, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xc24c0200, "__mutex_rt_init" },
	{ 0x6331c645, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0xd938632e, "device_remove_file" },
	{ 0x5bc90d25, "bus_register" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "373ED697869FCA823871C11");
MODULE_INFO(rhelversion, "9.5");
