#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x03e2ea84, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x771f8fc7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb4785846, "kfree_skb_reason" },
	{ 0x4531585c, "xdp_return_frame" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1123180b, "fasync_helper" },
	{ 0x31692ebc, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf08cf59a, "netdev_info" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x930ee6bd, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xb07a3e75, "from_kgid_munged" },
	{ 0xa2ed84be, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6bb81b06, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6d0180a, "dev_get_tstats64" },
	{ 0x3f2401d1, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x399122c3, "rtnl_link_register" },
	{ 0xf16b3981, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa46a73fa, "misc_deregister" },
	{ 0x2976f6ff, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa607344b, "__wake_up_sync_key" },
	{ 0x1e397ce5, "kill_fasync" },
	{ 0x9879b2cf, "netif_carrier_on" },
	{ 0xf9535105, "netif_carrier_off" },
	{ 0x7b7cd616, "bpf_prog_put" },
	{ 0xd6090af9, "build_skb" },
	{ 0x30b94cc0, "skb_put" },
	{ 0xad24275d, "skb_set_owner_w" },
	{ 0xdabb6f03, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0xc24c0200, "__mutex_rt_init" },
	{ 0x338b485c, "__init_waitqueue_head" },
	{ 0xf3c648ef, "sock_init_data_uid" },
	{ 0xa55ed598, "sk_free" },
	{ 0x24315c4e, "napi_gro_receive" },
	{ 0xcfc8039e, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xb97cb41d, "add_wait_queue" },
	{ 0x8523f808, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xb1897d93, "skb_queue_purge_reason" },
	{ 0x1abe3b1b, "napi_get_frags" },
	{ 0x1278c7d6, "iov_iter_single_seg_count" },
	{ 0x7a411561, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xa1906e3, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa40e09f7, "xdp_rxq_info_unreg" },
	{ 0x2382341c, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e8ea411, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x404a1dfd, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x6013cc51, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7cc2c6f5, "skb_copy_ubufs" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x161a28c2, "netdev_core_stats_alloc" },
	{ 0xcb14370d, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xcb0c929, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x3e797eb7, "___pskb_trim" },
	{ 0x8a67d71b, "__skb_get_hash_symmetric" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xefb4e9d, "netif_set_real_num_tx_queues" },
	{ 0xfc4db7a8, "netif_set_real_num_rx_queues" },
	{ 0xc82d6626, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x764a6672, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xfa42f106, "__skb_flow_dissect" },
	{ 0x1fb58559, "skb_partial_csum_set" },
	{ 0xdba418d, "__pskb_pull_tail" },
	{ 0x7437262e, "seq_printf" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xb26308a6, "xdp_rxq_info_is_reg" },
	{ 0x755b6413, "__xdp_rxq_info_reg" },
	{ 0xc9604119, "xdp_rxq_info_reg_mem_model" },
	{ 0xab8da60, "netif_napi_add_weight" },
	{ 0x63b4599b, "napi_enable" },
	{ 0xa756d55a, "lock_sock_nested" },
	{ 0xe0c51671, "sk_attach_filter" },
	{ 0xa38860ea, "release_sock" },
	{ 0x4c2db8e2, "__dev_get_by_name" },
	{ 0xc5756bc3, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0xd130b05c, "alloc_netdev_mqs" },
	{ 0x1414ab6d, "ip_tunnel_header_ops" },
	{ 0x8c0a7e2c, "register_netdevice" },
	{ 0xb3f6b090, "netif_tx_wake_queue" },
	{ 0x57e42640, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x71299219, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x98b606c3, "_copy_to_iter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf8f5b2d2, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x827d5ddb, "iov_iter_advance" },
	{ 0x132e34f9, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3666ea86, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x190f6b2a, "bpf_prog_get_type_dev" },
	{ 0x2e542e53, "xdp_do_redirect" },
	{ 0x776ccfbf, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x7f48aa17, "__traceiter_xdp_exception" },
	{ 0x1fdc833d, "xdp_return_frame_rx_napi" },
	{ 0x3d5ab453, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7ea5bfdb, "__page_frag_cache_drain" },
	{ 0x7870df53, "eth_type_trans" },
	{ 0x4c919a59, "xdp_master_redirect" },
	{ 0x42d28a2d, "do_xdp_generic" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xef8ead0c, "__folio_put" },
	{ 0xe60337be, "__put_devmap_managed_page_refs" },
	{ 0x7da92112, "skb_page_frag_refill" },
	{ 0x225c694c, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb47a46c4, "_copy_from_iter" },
	{ 0xb714933f, "iov_iter_npages" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0xc28cab73, "skb_copy_datagram_from_iter" },
	{ 0x866d655b, "sock_alloc_send_pskb" },
	{ 0x736e12fa, "zerocopy_sg_from_iter" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0x9b2f712c, "skb_push" },
	{ 0x3caea476, "eth_get_headlen" },
	{ 0x931b6503, "napi_gro_frags" },
	{ 0xc3741c45, "iov_iter_revert" },
	{ 0x58ebb2ca, "napi_schedule_prep" },
	{ 0x399e4749, "__napi_schedule" },
	{ 0x274c3a3e, "get_net_ns" },
	{ 0xc8c32ce8, "open_related_ns" },
	{ 0x51cf690e, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd57e1583, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x79536d5f, "netdev_update_features" },
	{ 0xd90dcad7, "dev_set_mac_address_user" },
	{ 0x14ff59c6, "make_kuid" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0x41b2dcc6, "from_kuid" },
	{ 0x60748341, "sk_detach_filter" },
	{ 0x612355ea, "call_netdevice_notifiers" },
	{ 0xef2e8939, "__module_get" },
	{ 0x27a4ae7c, "from_kgid" },
	{ 0xa283eb4b, "ethtool_op_get_link" },
	{ 0x5bbe4cfd, "ethtool_op_get_ts_info" },
	{ 0x185f0826, "passthru_features_check" },
	{ 0x476da59d, "eth_mac_addr" },
	{ 0x934599ea, "eth_validate_addr" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8523BC76354B95329565354");
MODULE_INFO(rhelversion, "9.5");
