#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x2a5225be, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x222402a4, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xe83dda41, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x6c6831d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x18d9ad6c, "__skb_checksum_complete" },
	{ 0x3ac49c8d, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb66dea28, "skb_copy_bits" },
	{ 0xf84b46f9, "__nlmsg_put" },
	{ 0x62197487, "netdev_adjacent_change_commit" },
	{ 0x476da59d, "eth_mac_addr" },
	{ 0x30b94cc0, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5f212eaf, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xeeb2e6b, "ip6_dst_hoplimit" },
	{ 0xc3bd7df9, "param_ops_ushort" },
	{ 0x132e34f9, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x5a1ed014, "udp_sock_create4" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0x8a63c130, "udp_tunnel6_xmit_skb" },
	{ 0x399122c3, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe4b54cf4, "__unregister_nexthop_notifier" },
	{ 0x2261f519, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x934599ea, "eth_validate_addr" },
	{ 0xa4df1338, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf5541398, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4bce3c7e, "rtnl_create_link" },
	{ 0xc82d6626, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9b08776f, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x57e42640, "ether_setup" },
	{ 0xb21b21e, "udp_tunnel_drop_rx_port" },
	{ 0xfb7ddd4f, "netdev_upper_dev_link" },
	{ 0x7a411561, "pskb_expand_head" },
	{ 0x670e6727, "register_pernet_subsys" },
	{ 0x161a28c2, "netdev_core_stats_alloc" },
	{ 0x7870df53, "eth_type_trans" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x6aa7287a, "__alloc_skb" },
	{ 0xc7627d1d, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x91fee95f, "eth_gro_complete" },
	{ 0xb2579d4c, "rtnl_set_sk_err" },
	{ 0xb11f994c, "eth_gro_receive" },
	{ 0xab8f90e5, "rtnl_configure_link" },
	{ 0xc7dec7d, "skb_tunnel_check_pmtu" },
	{ 0x88bbe028, "udp_tunnel_dst_lookup" },
	{ 0x395677e0, "rtnl_unicast" },
	{ 0xabb6f2bb, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd4a2aa56, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc4f428e1, "__dev_get_by_index" },
	{ 0x2976f6ff, "rtnl_link_unregister" },
	{ 0xb4363246, "__skb_get_hash" },
	{ 0x326e8c76, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x88248d27, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x57e53757, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x74246809, "dev_get_by_index_rcu" },
	{ 0xb4785846, "kfree_skb_reason" },
	{ 0x9e4fc39a, "gro_cells_receive" },
	{ 0x9b2f712c, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xb4eea150, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x71299219, "free_netdev" },
	{ 0x758d387d, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x64b14267, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa756d55a, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa283eb4b, "ethtool_op_get_link" },
	{ 0x482b661d, "nexthop_find_by_id" },
	{ 0xfbf37412, "arp_create" },
	{ 0xf19a7356, "__ethtool_get_link_ksettings" },
	{ 0x436d7071, "netdev_adjacent_change_prepare" },
	{ 0x7b017aed, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xb4d671db, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x2a17c90a, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xfc09a325, "rht_bucket_nested_insert" },
	{ 0xb67057f6, "netdev_adjacent_change_abort" },
	{ 0x5d1458e, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x37ea9494, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x824f6fbf, "__iptunnel_pull_header" },
	{ 0xdba418d, "__pskb_pull_tail" },
	{ 0xf6d0180a, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x1f73435a, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x7a344d39, "rhashtable_destroy" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0x4e3cdcff, "setup_udp_tunnel_sock" },
	{ 0xfe9902bc, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4b965163, "skb_trim" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x562b43be, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc08a21f3, "skb_scrub_packet" },
	{ 0x5b35f115, "nexthop_select_path" },
	{ 0x8f021a71, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1d8e01a1, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5eec12f3, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfe5a4d0b, "param_ops_bool" },
	{ 0x399d5eb4, "udp_tun_rx_dst" },
	{ 0x82bed120, "rtnl_notify" },
	{ 0xe434e928, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xaa87702a, "__netif_rx" },
	{ 0xb29217d, "skb_clone" },
	{ 0x4aa4ef96, "metadata_dst_alloc" },
	{ 0x7ce51946, "dst_release" },
	{ 0xc323daf0, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xa410498e, "udp_tunnel_notify_del_rx_port" },
	{ 0xeb62eb81, "register_nexthop_notifier" },
	{ 0xdcb3397f, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xa44e62c7, "gro_find_receive_by_type" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0xf08cf59a, "netdev_info" },
	{ 0x7ff2611, "neigh_lookup" },
	{ 0xa38860ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8c0a7e2c, "register_netdevice" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3EE50D168E07E1A50B0C77D");
MODULE_INFO(rhelversion, "9.5");
