#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x25aa59e5, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xa14f54b7, "_gpl");
SYMBOL_CRC(sas_free_task, 0xe0585e01, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xc3db5ab9, "");
SYMBOL_CRC(sas_resume_ha, 0x01b7812b, "");
SYMBOL_CRC(sas_suspend_ha, 0x4d0d84c1, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x51f3a373, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x2b136c16, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x464eab8c, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xd08866c3, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x925fcaea, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x0110f50c, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0x91932223, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xf9013b6a, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xda8e74d8, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xd88faf4c, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xc44eee14, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xda649964, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x8ec16d6b, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xb084bba7, "_gpl");
SYMBOL_CRC(sas_bios_param, 0xaab000b8, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x16ec7d04, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x6c088087, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xea658492, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xaa04d1f0, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x489bc128, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xc817e890, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xd0b6615a, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x84ff2716, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x13a8cfd1, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76d27baa, "ata_qc_complete" },
	{ 0x5a4918ca, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf605b0b0, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x73d02007, "ata_sas_port_destroy" },
	{ 0xf98cb4b9, "bsg_job_done" },
	{ 0x4e31343e, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x54e77d7c, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xd9dd0f68, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0x236404b, "finish_wait" },
	{ 0x1b6e08dd, "scsi_schedule_eh" },
	{ 0x1098892a, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x68d3e3b, "ata_host_init" },
	{ 0xa90f3bf3, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x9ea87816, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xda7b1801, "sas_port_get_phy" },
	{ 0xf64caa3b, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x2e3ea5af, "prepare_to_wait_event" },
	{ 0x8a3536aa, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xb16ee770, "kmem_cache_create" },
	{ 0xec7d8ff, "get_device" },
	{ 0x57f41f64, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x3ce99e77, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc88e02c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x4c432abe, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x4b7d75dd, "kmem_cache_alloc" },
	{ 0xddc24ae7, "_dev_info" },
	{ 0xda14e23e, "sas_phy_free" },
	{   0x3eb3, "scsi_eh_finish_cmd" },
	{ 0x8a646381, "ata_noop_qc_prep" },
	{ 0xcd8ca87f, "ata_sas_port_alloc" },
	{ 0xcce460fb, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x82f052c2, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0x9a7434c5, "sas_port_mark_backlink" },
	{ 0x85dbd6be, "kmem_cache_free" },
	{ 0x8d40b5bc, "ata_std_qc_defer" },
	{ 0xc1668b76, "ata_sas_port_start" },
	{ 0x39897569, "ata_scsi_port_error_handler" },
	{ 0xf55380e4, "ata_change_queue_depth" },
	{ 0xff2efc05, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x59e1fc21, "sas_end_device_alloc" },
	{ 0x7190e3e1, "mutex_lock_interruptible" },
	{ 0x6fe3575a, "sas_read_port_mode_page" },
	{ 0x1fb62c6b, "sas_expander_alloc" },
	{ 0xa4a2dd47, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0xe4ffcedc, "_dev_warn" },
	{ 0x9ad63d00, "sas_rphy_delete" },
	{ 0xf2d2a10f, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc895f4d, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x338b485c, "__init_waitqueue_head" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0x604a71a6, "scsi_host_busy" },
	{ 0xddaf5f45, "ata_sas_async_probe" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0x4d3d345d, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x118f237b, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9b80145b, "ata_sas_port_suspend" },
	{ 0xb6064901, "sas_rphy_add" },
	{ 0x78b8183f, "sas_port_delete_phy" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbcee673c, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x78ba67be, "sas_port_add_phy" },
	{ 0x36d95584, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x41a633de, "ata_sas_slave_configure" },
	{ 0x23e534a4, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xffd1c31f, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xbdd97197, "ata_host_put" },
	{ 0xb02e2e32, "sas_port_free" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x6e5b643, "ata_std_sched_eh" },
	{ 0x7ed539e2, "scsi_block_requests" },
	{ 0x415e527c, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xc24c0200, "__mutex_rt_init" },
	{ 0x12ef2d6, "sas_remove_children" },
	{ 0x82c5d08f, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a01b8ad, "ata_port_wait_eh" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0x5c4a2bb9, "kmem_cache_destroy" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "C24B044A72CA30EF7DF1581");
MODULE_INFO(rhelversion, "9.5");
