#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x012ef2d6, "");
SYMBOL_CRC(sas_remove_host, 0x1bc3c5c8, "");
SYMBOL_CRC(sas_get_address, 0xe0c76948, "");
SYMBOL_CRC(sas_tlr_supported, 0x76b03482, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x81e8da96, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x17d99f50, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x16b52041, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x3ce99e77, "");
SYMBOL_CRC(sas_phy_add, 0xffd1c31f, "");
SYMBOL_CRC(sas_phy_free, 0xda14e23e, "");
SYMBOL_CRC(sas_phy_delete, 0x09f5fb45, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x7dcee051, "");
SYMBOL_CRC(sas_port_alloc, 0xa90f3bf3, "");
SYMBOL_CRC(sas_port_alloc_num, 0x84a0d3d3, "");
SYMBOL_CRC(sas_port_add, 0x82f052c2, "");
SYMBOL_CRC(sas_port_free, 0xb02e2e32, "");
SYMBOL_CRC(sas_port_delete, 0x4d3d345d, "");
SYMBOL_CRC(scsi_is_sas_port, 0x26ebd0b7, "");
SYMBOL_CRC(sas_port_get_phy, 0xda7b1801, "");
SYMBOL_CRC(sas_port_add_phy, 0x78ba67be, "");
SYMBOL_CRC(sas_port_delete_phy, 0x78b8183f, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x9a7434c5, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x6fe3575a, "");
SYMBOL_CRC(sas_end_device_alloc, 0x59e1fc21, "");
SYMBOL_CRC(sas_expander_alloc, 0x1fb62c6b, "");
SYMBOL_CRC(sas_rphy_add, 0xb6064901, "");
SYMBOL_CRC(sas_rphy_free, 0xbcee673c, "");
SYMBOL_CRC(sas_rphy_delete, 0x9ad63d00, "");
SYMBOL_CRC(sas_rphy_unlink, 0x54e77d7c, "");
SYMBOL_CRC(sas_rphy_remove, 0xf605b0b0, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x3e875dfd, "");
SYMBOL_CRC(sas_attach_transport, 0x0c895f4d, "");
SYMBOL_CRC(sas_release_transport, 0xf47300c7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33926065, "device_for_each_child" },
	{ 0xc88e02c, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x1182952a, "device_add" },
	{ 0x800b2b9b, "transport_add_device" },
	{ 0x4a251f9, "transport_configure_device" },
	{ 0xd2cd7f16, "device_del" },
	{ 0x1b4464b4, "transport_destroy_device" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0xec7d8ff, "get_device" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0x33e055ca, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xc1b1b131, "scsi_scan_target" },
	{ 0xb6812134, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x45f7c094, "transport_class_register" },
	{ 0xd7a892a7, "transport_class_unregister" },
	{ 0x3549312a, "transport_remove_device" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x805c28f7, "attribute_container_register" },
	{ 0xb84c3741, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7397dee6, "dev_printk" },
	{ 0x6659a0b8, "scsi_mode_sense" },
	{ 0x36774025, "attribute_container_unregister" },
	{ 0xb733ad6d, "scsi_remove_host" },
	{ 0x73f95f39, "bsg_remove_queue" },
	{ 0x507990db, "scsi_remove_target" },
	{ 0xf2d2a10f, "scsi_is_host_device" },
	{ 0xe4ffcedc, "_dev_warn" },
	{ 0xf98cb4b9, "bsg_job_done" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0xc24c0200, "__mutex_rt_init" },
	{ 0xc4f54c30, "dma_opt_mapping_size" },
	{ 0x9c06a49c, "device_initialize" },
	{ 0x880aa541, "dev_set_name" },
	{ 0x1ae59f47, "transport_setup_device" },
	{ 0x80dce694, "scsi_get_vpd_page" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5E85389087CCD3795F2AB7");
MODULE_INFO(rhelversion, "9.5");
