#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x6b96934c, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xb5959cf4, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x0b35a3f2, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x6e084dfd, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xc27b9e2f, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x27ac1590, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xd08ef39b, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xc8e683a6, "");
SYMBOL_CRC(ip_vs_conn_put, 0xf74d16ca, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x7b3006de, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x96a6bead, "");
SYMBOL_CRC(register_ip_vs_app, 0x81527975, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x7694ac26, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xe33fa0b0, "");
SYMBOL_CRC(ip_vs_proto_get, 0xfe3c9ffb, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xefe1d77f, "");
SYMBOL_CRC(register_ip_vs_pe, 0x12ac641f, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x34794b32, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x7c244d04, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x27a644cd, "nf_ct_ext_add" },
	{ 0x27b0461, "nf_conntrack_find_get" },
	{ 0x99b81b37, "try_module_get" },
	{ 0x75d533f9, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3ac49c8d, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xb66dea28, "skb_copy_bits" },
	{ 0xce7bb8b7, "xfrm_lookup" },
	{ 0x976765f5, "proc_dointvec_jiffies" },
	{ 0xc6169229, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x132e34f9, "consume_skb" },
	{ 0x83dfc3e3, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcd635315, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xe67772, "nf_ct_netns_get" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0x236404b, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xfa14163e, "kernel_bind" },
	{ 0x4a5b3f72, "genlmsg_put" },
	{ 0x7b7c0969, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7cd2fdc9, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x2e3ea5af, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xef2e8939, "__module_get" },
	{ 0xf55e73e7, "ip_route_output_flow" },
	{ 0xb16ee770, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9b08776f, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x4c2db8e2, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x562a367f, "proc_create_net_data" },
	{ 0x7a411561, "pskb_expand_head" },
	{ 0x670e6727, "register_pernet_subsys" },
	{ 0x37b80754, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x9bc1811d, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x5c5c4567, "nf_register_net_hooks" },
	{ 0xc8d48261, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x6aa7287a, "__alloc_skb" },
	{ 0x4b7d75dd, "kmem_cache_alloc" },
	{ 0xa255b51b, "ipv6_sock_mc_join" },
	{ 0x8e8ea411, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xb48aced9, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb4363246, "__skb_get_hash" },
	{ 0x67c2f72f, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x5bc548db, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc2c27e72, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x2c9c928b, "nf_conntrack_alter_reply" },
	{ 0x1ec4381b, "ip_route_me_harder" },
	{ 0xb4785846, "kfree_skb_reason" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0x9b2f712c, "skb_push" },
	{ 0x85dbd6be, "kmem_cache_free" },
	{ 0xbcf518db, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x7e716579, "proc_doulongvec_minmax" },
	{ 0x7686868d, "nf_ct_expect_alloc" },
	{ 0x4954c87d, "skb_ensure_writable" },
	{ 0x2db1bbc9, "iov_iter_kvec" },
	{ 0x758d387d, "ip_mc_join_group" },
	{ 0xed6c2c86, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc5756bc3, "ns_capable" },
	{ 0xcc3b75a9, "nf_unregister_net_hooks" },
	{ 0x968dbb9, "inet_select_addr" },
	{ 0x783f7bf5, "unregister_pernet_device" },
	{ 0xa756d55a, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe88b0355, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5cfffc02, "kthread_stop" },
	{ 0x51034166, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb4d671db, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xfd0531e, "kernel_connect" },
	{ 0x1b18a350, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x394fe554, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd3bdb176, "__icmpv6_send" },
	{ 0xdba418d, "__pskb_pull_tail" },
	{ 0xce7fbe21, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4b965163, "skb_trim" },
	{ 0xd9084e51, "nf_hook_slow" },
	{ 0xabba12c2, "mutex_trylock" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x427596d9, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x7064cc47, "nf_ct_deliver_cached_events" },
	{ 0xb9623bc5, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x708ab901, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfc9dabf8, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0xad24275d, "skb_set_owner_w" },
	{ 0xe4ae3ab5, "__skb_checksum" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x9c58324e, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0x4d29262f, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12d93df3, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7437262e, "seq_printf" },
	{ 0x9b212562, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2bc1d60e, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x4af301ab, "ipv4_update_pmtu" },
	{ 0xdb0d4ea9, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7ce51946, "dst_release" },
	{ 0xdeabad1f, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdeaca954, "proc_dointvec" },
	{ 0xb4378f3f, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x6682e78c, "unregister_net_sysctl_table" },
	{ 0x21c98aa5, "ip_local_out" },
	{ 0x441e3205, "genl_unregister_family" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x24ddf5c5, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x81a32689, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7e942d49, "genl_register_family" },
	{ 0x880e8229, "kernel_sendmsg" },
	{ 0x7877d45e, "nf_ct_netns_put" },
	{ 0xabe76d09, "register_pernet_device" },
	{ 0xc24c0200, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5c4a2bb9, "kmem_cache_destroy" },
	{ 0xa38860ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd1d361e4, "proc_dointvec_minmax" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "19A6DAAF650C30AEC160D30");
MODULE_INFO(rhelversion, "9.5");
