#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xdabd9188, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x4bf796c4, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xa26bcedf, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x58194e5e, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xe1496e26, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x97e257c9, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xce9ac938, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xce7fbe21, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x027b0461, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x745f352c, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xda31c15d, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x51034166, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x94801825, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xbd6d9a7e, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x66c0ca79, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xececfd40, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x2c9c928b, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x93073c7f, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x2fdb9e89, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x38529e04, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x11f131b8, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xbeb886da, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xea315c17, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xf903f086, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x4b4fe7ce, "_gpl");
SYMBOL_CRC(print_tuple, 0xad782878, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xfb7c3740, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x38223a5c, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xb4a021eb, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xeb3de176, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xfe8503d1, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xa4f3ef86, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x84e4878b, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x7686868d, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x4d29262f, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xed6c2c86, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xc2c27e72, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x1eaa2af2, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xcb68e315, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xe8801a9a, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x9e92bbb0, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x2b458a7d, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x66c637e2, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x082b8b5b, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x7f1a800b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xcafeb1c9, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x253b5f11, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x1ea5491b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xb6ce5586, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x81326459, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x3e82dbeb, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xbfc7056c, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x159076bc, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xb165f1c0, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x345d66f1, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x4a674c72, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x63e54eb7, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x968c455c, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x6ef27f29, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x7a273bb9, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x0d3c9d88, "_gpl");
SYMBOL_CRC(nf_confirm, 0x1d6b64e4, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x00e67772, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x7877d45e, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xb4754254, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xebc36ac1, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x27a644cd, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x654022d4, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xe63c9d0b, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x2206d938, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xd7b098fb, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x987ee86d, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xce6b2ba0, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xae9ae563, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x87d100f2, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xc81b14ef, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xeac05e63, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x64f48be6, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x7064cc47, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x631e457f, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xb2578937, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xdeb02368, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x9478391a, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xcdb70165, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x0cff0e41, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x9cf2721d, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x8d3bd5b6, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x5b54f00b, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x938b5e23, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xf6ef6291, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x3234a0cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1899d1c8, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x99b81b37, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x229a75ec, "nf_defrag_ipv4_disable" },
	{ 0xb9224e3d, "nf_ip6_checksum" },
	{ 0xbc09fb7, "proc_dou8vec_minmax" },
	{ 0xb66dea28, "skb_copy_bits" },
	{ 0x8a28ab2b, "param_ops_uint" },
	{ 0x976765f5, "proc_dointvec_jiffies" },
	{ 0xc6169229, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcd635315, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0xab816540, "nfct_btf_struct_access" },
	{ 0xa732da93, "param_set_uint" },
	{ 0xc50c439b, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e882ffe, "nf_ct_frag6_gather" },
	{ 0xd5d5160, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb16ee770, "kmem_cache_create" },
	{ 0xb881922d, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x562a367f, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x670e6727, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x9bc1811d, "nf_unregister_sockopt" },
	{ 0xe263b2da, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x14ff59c6, "make_kuid" },
	{ 0x293f6c99, "nf_defrag_ipv6_disable" },
	{ 0x57ba1905, "ipv6_skip_exthdr" },
	{ 0x5c5c4567, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x4b7d75dd, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x8e8ea411, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x915889b1, "nf_checksum" },
	{ 0xc6ac25ba, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x67c2f72f, "init_net" },
	{ 0xe245a49f, "nf_ip6_check_hbh_len" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb4785846, "kfree_skb_reason" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0x85dbd6be, "kmem_cache_free" },
	{ 0xbcf518db, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x64bcc1ca, "nf_checksum_partial" },
	{ 0x4954c87d, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xcc3b75a9, "nf_unregister_net_hooks" },
	{ 0xa756d55a, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb4d671db, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x394fe554, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xabad973c, "nf_log_packet" },
	{ 0xd57e1583, "make_kgid" },
	{ 0x7628b433, "nf_ip_checksum" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0x372a17f0, "register_btf_kfunc_id_set" },
	{ 0xf5c1a8c5, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xebaa8edf, "down_read" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xdb495a40, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe4ae3ab5, "__skb_checksum" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x224d8783, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfe5a4d0b, "param_ops_bool" },
	{ 0xb82e9fd4, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12d93df3, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7437262e, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xdb0d4ea9, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xdeaca954, "proc_dointvec" },
	{ 0xb4378f3f, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe8324b2f, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x6682e78c, "unregister_net_sysctl_table" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7894491f, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x2aa7b40a, "pskb_trim_rcsum_slow" },
	{ 0x7dea103d, "up_read" },
	{ 0x20300db5, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5c4a2bb9, "kmem_cache_destroy" },
	{ 0xa38860ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "9C74D52585A1DDF3D13F146");
MODULE_INFO(rhelversion, "9.5");
