#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x2766387c, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x696d7b3e, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x2e82cbc5, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xd868b317, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x65964129, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5025c8e8, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe3c8de5d, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4d02d7a9, "inet_addr_type_table" },
	{ 0x3ac49c8d, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xb66dea28, "skb_copy_bits" },
	{ 0x909f6a2, "inet_unregister_protosw" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x671d64d3, "sock_wfree" },
	{ 0x30b94cc0, "skb_put" },
	{ 0xc6169229, "register_net_sysctl" },
	{ 0x9ed63869, "__fl6_sock_lookup" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeeb2e6b, "ip6_dst_hoplimit" },
	{ 0x132e34f9, "consume_skb" },
	{ 0xc1a6e97d, "inet6_add_offload" },
	{ 0x5259e4d, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe2346475, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x738e1b73, "trace_raw_output_prep" },
	{ 0xb8c1fb06, "l3mdev_fib_table_by_index" },
	{ 0x5a1ed014, "udp_sock_create4" },
	{ 0x4db5d360, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb8673fac, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0x236404b, "finish_wait" },
	{ 0xcd09a225, "skb_segment" },
	{ 0x49b73c05, "trace_event_printf" },
	{ 0x4924c8f4, "__ip_dev_find" },
	{ 0x8a63c130, "udp_tunnel6_xmit_skb" },
	{ 0xf849b4e1, "sock_common_getsockopt" },
	{ 0xf301a615, "inet_bind" },
	{ 0x308ba355, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf8301e20, "prepare_to_wait" },
	{ 0xfec1a870, "fd_install" },
	{ 0xc609a9a6, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x83fd0364, "inet_register_protosw" },
	{ 0x89e4e4f3, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x1983973f, "bpf_trace_run2" },
	{ 0xf42ee064, "sock_common_setsockopt" },
	{ 0x38193207, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8a3536aa, "__wake_up" },
	{ 0xe345c469, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf55e73e7, "ip_route_output_flow" },
	{ 0x17564ad3, "rhashtable_walk_enter" },
	{ 0xb16ee770, "kmem_cache_create" },
	{ 0xc3f34a58, "__sk_mem_schedule" },
	{ 0xbaada3b4, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x98bb2580, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x562a367f, "proc_create_net_data" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7f3693ba, "sk_error_report" },
	{ 0x670e6727, "register_pernet_subsys" },
	{ 0x8a5cd37a, "put_cmsg" },
	{ 0xda820fbf, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x270e494e, "inet_sock_destruct" },
	{ 0xbaa9efce, "crypto_destroy_tfm" },
	{ 0x76fe4dbc, "sock_kmalloc" },
	{ 0x89995ffe, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xda74e7e8, "inet_getname" },
	{ 0xb1dd403b, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xaf64b6fe, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6aa7287a, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x7efa8242, "inet_release" },
	{ 0x1cfae99, "rt_write_unlock" },
	{ 0x4b7d75dd, "kmem_cache_alloc" },
	{ 0xe45742a3, "proto_register" },
	{ 0xba58309d, "skb_copy_expand" },
	{ 0xa607344b, "__wake_up_sync_key" },
	{ 0x4f535852, "__sock_recv_ts_and_drops" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xf3a414d2, "inet_ctl_sock_create" },
	{ 0xe2417bc, "inet_ioctl" },
	{ 0x270e1fcf, "reuseport_add_sock" },
	{ 0x28a07b3f, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x1ac76208, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x404a1dfd, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x82cd3e29, "perf_trace_run_bpf_submit" },
	{ 0x9c043ec2, "fput" },
	{ 0x30244153, "__traceiter_sk_data_ready" },
	{ 0xb5b1f0f8, "inet_accept" },
	{ 0x67c2f72f, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6d69335a, "crypto_shash_setkey" },
	{ 0x88248d27, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x30454e3b, "inet_add_offload" },
	{ 0x5fdfe25f, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe4cd7ca6, "inet_add_protocol" },
	{ 0xebfc5f99, "inet_shutdown" },
	{ 0xa55ed598, "sk_free" },
	{ 0x9d7d985d, "sock_wake_async" },
	{ 0x74246809, "dev_get_by_index_rcu" },
	{ 0xb4785846, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7b2bedd4, "inet_del_offload" },
	{ 0x9b2f712c, "skb_push" },
	{ 0x398fe51e, "__ip_queue_xmit" },
	{ 0x85dbd6be, "kmem_cache_free" },
	{ 0xa5262d31, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x7e716579, "proc_doulongvec_minmax" },
	{ 0xf7b34d00, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2359671f, "rhashtable_walk_start_check" },
	{ 0xc5756bc3, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa756d55a, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x1be2f23f, "inet6_ioctl" },
	{ 0xf8f5b2d2, "skb_copy_datagram_iter" },
	{ 0x70437c60, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5ee2c0b1, "idr_alloc_cyclic" },
	{ 0xdabb6f03, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xb4d671db, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x2ddb347b, "ip6_dst_lookup_flow" },
	{ 0x2a17c90a, "rhashtable_free_and_destroy" },
	{ 0x54eb129a, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xfc09a325, "rht_bucket_nested_insert" },
	{ 0x5d1458e, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x50d53066, "sock_no_mmap" },
	{ 0x338b485c, "__init_waitqueue_head" },
	{ 0xdba418d, "__pskb_pull_tail" },
	{ 0xe52063c9, "sock_no_sendpage" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0x4e3cdcff, "setup_udp_tunnel_sock" },
	{ 0xfe9902bc, "udp_sock_create6" },
	{ 0x4b965163, "skb_trim" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa9da36a1, "sk_common_release" },
	{ 0x2473b574, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x8f021a71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xbf071d6a, "rt_read_lock" },
	{ 0xd65dff9, "inet6_getname" },
	{ 0xfafcc072, "sock_i_ino" },
	{ 0xfb9fd4c2, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe0ce9eca, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xe12d9ae3, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xad24275d, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa362739, "trace_event_buffer_reserve" },
	{ 0xe4ae3ab5, "__skb_checksum" },
	{ 0x49cb89c2, "reuseport_alloc" },
	{ 0x6baee7c1, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x794c9b85, "inet6_release" },
	{ 0x964e7726, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x19a8c41c, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfe5a4d0b, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x9c48db4, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x38b7e2, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcb72d66c, "rhltable_init" },
	{ 0xe434e928, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7437262e, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2bc1d60e, "proc_create_net_single" },
	{ 0xa1ca8bfe, "skb_copy" },
	{ 0xb29217d, "skb_clone" },
	{ 0x6b4e2688, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7ce51946, "dst_release" },
	{ 0xee4d7d4, "rt_write_lock" },
	{ 0xb47a46c4, "_copy_from_iter" },
	{ 0xdeabad1f, "sock_release" },
	{ 0x53e5486f, "inet_recv_error" },
	{ 0xdeaca954, "proc_dointvec" },
	{ 0xb4378f3f, "seq_puts" },
	{ 0x1dc53b5, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x92984527, "rhashtable_walk_next" },
	{ 0x3e974e25, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9d3f0eae, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x71c4c299, "send_sig" },
	{ 0x6682e78c, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x3d8ca3bc, "inet6_add_protocol" },
	{ 0xa2ed84be, "from_kuid_munged" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0xff6f5eca, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x225c50fb, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x353ceae8, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2a82d478, "reuseport_detach_sock" },
	{ 0xde1a7047, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xc3741c45, "iov_iter_revert" },
	{ 0xb84d62b6, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x29735514, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x82aad12f, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0x5c4a2bb9, "kmem_cache_destroy" },
	{ 0xa38860ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x78d3179d, "skb_queue_head" },
	{ 0xd1d361e4, "proc_dointvec_minmax" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "249D094F4E5130517199CA8");
MODULE_INFO(rhelversion, "9.5");
