#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_gen_new_ie, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_free_coloc_ap_list, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_parse_colocated_ap, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x732291e2, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x520cd4db, "");
SYMBOL_CRC(wiphy_register, 0x51e7c19f, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0xb893d4b3, "");
SYMBOL_CRC(wiphy_unregister, 0x0b21fb7e, "");
SYMBOL_CRC(wiphy_free, 0x4cd94196, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xb900edf4, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0xedf8a8d9, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x272db158, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x28ca80cd, "");
SYMBOL_CRC(wiphy_work_queue, 0xc111bb17, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0xa4a301a0, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x53f6076f, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0xdf4d81fe, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x92b31400, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x1c666de7, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0xb9cd2a5f, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x8f182be9, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x382c8fcb, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x4e944407, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x11c608a8, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x5e18eda3, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0xa1d6d9da, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x241ff954, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0xbcae7808, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xa0ef0565, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x9a265125, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x3295e162, "");
SYMBOL_CRC(cfg80211_get_station, 0x24794bd4, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0xb5513558, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0xb9de8ae6, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xb9633a74, "");
SYMBOL_CRC(get_wiphy_regdom, 0x94d7c816, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x4e1834f3, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xa9e98051, "");
SYMBOL_CRC(regulatory_hint, 0x179d2b2e, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xe74e822d, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xa00668c3, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x358f08fe, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_gen_new_ie, 0xd949fe38, "");
SYMBOL_CRC(cfg80211_free_coloc_ap_list, 0x6563568b, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_parse_colocated_ap, 0xe23bea70, "");
SYMBOL_CRC(cfg80211_scan_done, 0xbd7ab91f, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x119d7ae9, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x519b1c79, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xd89e702b, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xbe81bceb, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x7318b775, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0xb3d8e5c2, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0xdaa7bac7, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x08a86239, "");
SYMBOL_CRC(cfg80211_put_bss, 0xf8fc6c26, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x3e791320, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x29caead0, "");
SYMBOL_CRC(nl80211_send_chandef, 0x54a4761c, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x70ce3f0e, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0xfbab0abd, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x5e529e4c, "");
SYMBOL_CRC(cfg80211_nan_match, 0xaa44cd49, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x70df4cdd, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xa914b63d, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0xe0135d12, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x9402aac2, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xad7f7072, "");
SYMBOL_CRC(cfg80211_links_removed, 0x91b8d7ed, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x07fababe, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x22fd1e24, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0xe21f2d62, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x231897b4, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x7b26aa6f, "");
SYMBOL_CRC(cfg80211_new_sta, 0x4dc41227, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x896c7b4e, "");
SYMBOL_CRC(cfg80211_conn_failed, 0xc99b991f, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xbde49a66, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x55686041, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x96146774, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x8ec064d0, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x3ddc5a20, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x296ac838, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0xd6dc2e22, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x24089f9f, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x4f4ced2d, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x30f3ea50, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x89fdf5ef, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xc1e8865d, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0xfe7104ee, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x10d490fb, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xc8483947, "");
SYMBOL_CRC(cfg80211_probe_status, 0xb09343fa, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xd560ef3f, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0xa753a8bb, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x844d4c01, "");
SYMBOL_CRC(cfg80211_ft_event, 0x08746d7c, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0xd5559d29, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0xf78a002e, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0xa0ac3161, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0xd17c99fa, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xfa5661aa, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xe5430559, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0xb8b95c93, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x973b38d6, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x16be7ebd, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x7f7232ad, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xf0ecbc65, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x75b245ec, "");
SYMBOL_CRC(cfg80211_cac_event, 0xb99b68ae, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0xcc4104e5, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x13c8694e, "");
SYMBOL_CRC(cfg80211_connect_done, 0xf16f82ec, "");
SYMBOL_CRC(cfg80211_roamed, 0x9c919af7, "");
SYMBOL_CRC(cfg80211_port_authorized, 0xf02f6d7a, "");
SYMBOL_CRC(cfg80211_disconnected, 0x2975ba88, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0xa004a0d3, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0xfe60d01f, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x2dda5e00, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x68852a2d, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0xf9ee8bcb, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x45da2534, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xee045bd9, "");
SYMBOL_CRC(wdev_chandef, 0xa93c48e7, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0xb174befa, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x79843c80, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x7e0100cc, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0x3ea5e475, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xd71f3500, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xca9834ef, "verify_pkcs7_signature" },
	{ 0x63e3f219, "bpf_trace_run4" },
	{ 0xb66dea28, "skb_copy_bits" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x30b94cc0, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x880aa541, "dev_set_name" },
	{ 0x132e34f9, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x26cac303, "__nla_validate" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x738e1b73, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x90b2775, "bpf_trace_run6" },
	{ 0x167cbc7d, "rt_mutex_base_init" },
	{ 0x236404b, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1098892a, "request_firmware" },
	{ 0x49b73c05, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x9c06a49c, "device_initialize" },
	{ 0x544bf672, "skb_add_rx_frag" },
	{ 0x4a5b3f72, "genlmsg_put" },
	{ 0xc609a9a6, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x1983973f, "bpf_trace_run2" },
	{ 0x2e3ea5af, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xaca9039, "genlmsg_multicast_allns" },
	{ 0xe345c469, "event_triggers_call" },
	{ 0x8a3536aa, "__wake_up" },
	{ 0xc82d6626, "unregister_netdevice_queue" },
	{ 0x6f72f92e, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8296aacd, "netlink_broadcast_filtered" },
	{ 0x9ac17a01, "keyring_alloc" },
	{ 0xa863004f, "netdev_err" },
	{ 0xd4a8a4b8, "device_rename" },
	{ 0xda820fbf, "trace_event_buffer_commit" },
	{ 0x7870df53, "eth_type_trans" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc88e02c, "put_device" },
	{ 0xaf64b6fe, "trace_event_ignore_this_pid" },
	{ 0x2ec472da, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x6aa7287a, "__alloc_skb" },
	{ 0x33e055ca, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xa242631, "inet_csk_get_port" },
	{ 0x95e5a867, "key_put" },
	{ 0xfe8610ca, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xc4f428e1, "__dev_get_by_index" },
	{ 0x82cd3e29, "perf_trace_run_bpf_submit" },
	{ 0xf3bca362, "_dev_err" },
	{ 0x67c2f72f, "init_net" },
	{ 0x907ac5b6, "request_firmware_nowait" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x88248d27, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1182952a, "device_add" },
	{ 0xb84c3741, "sysfs_remove_link" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9437e17f, "init_uts_ns" },
	{ 0xa589e5a3, "platform_device_unregister" },
	{ 0x5bc548db, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x91dc233c, "dev_get_by_index" },
	{ 0x5145d22b, "bpf_trace_run5" },
	{ 0xb4785846, "kfree_skb_reason" },
	{ 0x9c0f02ec, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x88e0a79e, "mutex_lock" },
	{ 0x9b2f712c, "skb_push" },
	{ 0xa484d479, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xf7b34d00, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x5a99d0bc, "of_find_property" },
	{ 0x306f4716, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x783f7bf5, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd24b4d34, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x81dc5361, "bpf_trace_run1" },
	{ 0xd2cd7f16, "device_del" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x4be0e728, "param_ops_charp" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x338b485c, "__init_waitqueue_head" },
	{ 0xdba418d, "__pskb_pull_tail" },
	{ 0x1f73435a, "netif_rx" },
	{ 0xe458ce74, "__netdev_alloc_skb" },
	{ 0xb36b118a, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4b965163, "skb_trim" },
	{ 0xfc13530f, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3202a31a, "of_prop_next_u32" },
	{ 0x2473b574, "bpf_trace_run3" },
	{ 0xdb495a40, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3658a6c2, "get_net_ns_by_pid" },
	{ 0x98974cf0, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5f5414f9, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa362739, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0xcde5e383, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xfe5a4d0b, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xda02b9bc, "x509_load_certificate_list" },
	{ 0xdeabad1f, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x441e3205, "genl_unregister_family" },
	{ 0xd65fa40c, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5d576d2b, "bpf_trace_run7" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x81a32689, "param_ops_int" },
	{ 0x4dbcfe49, "debugfs_create_dir" },
	{ 0x7e942d49, "genl_register_family" },
	{ 0xb5748497, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xabe76d09, "register_pernet_device" },
	{ 0xc24c0200, "__mutex_rt_init" },
	{ 0xf9e7bd17, "get_net_ns_by_fd" },
	{ 0x9fa77304, "class_register" },
	{ 0x1b558a3e, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x65be34fc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8c0a7e2c, "register_netdevice" },
	{ 0x43bc88cf, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "8B186E5DFF63C6C5DA196BD");
MODULE_INFO(rhelversion, "9.5");
